(function($) {
	$( '.slider-range-max, .slider-range-max-percentage' ).each( function(){ 
		var target = $(this).data( 'target' );
		var inputval = $(this).parent().find( target );	
		$(this).slider({
			range: "min",
			min: $(this).data( 'min' ),
			max: $(this).data( 'max' ),
			value: inputval.val(),
			step: 5,
			slide: function( event, ui ) {
				$( inputval ).val( ui.value );
			}
		});
		$( inputval ).val( $(this).slider( "value" ) );
	});
	
	$( '.number-meter' ).each(function(){
		$(this).on( 'change', function(){
			if( $(this).val() == '%' ){
				$(this).parent().find( '.slider-range-max, .input-slider-number' ).hide();
				$(this).parent().find( '.slider-range-max-percentage, .input-slider-number-percentage' ).show();
			}else{
				$(this).parent().find( '.slider-range-max, .input-slider-number' ).show();
				$(this).parent().find( '.slider-range-max-percentage, .input-slider-number-percentage' ).hide();
			}
		});
	});
}(jQuery));